#+title: Präsentation Diplomarbeit
:preamble:
#+author: Andreas Zweili
#+startup: beamer
#+latex_class_options: [12pt, aspectratio=1610]
#+language: de
#+beamer_theme: metropolis
#+columns: %40ITEM %10BEAMER_env(Env) %9BEAMER_envargs(Env Args) %4BEAMER_col(Col) %10BEAMER_extra(Extra)
#+latex_header: \include{preamble}
:end:

* Einführung
** Einführung

- <2-> Das Kommandozeilen Programm "BorgBackup" mittels einer grafischen
  Oberfläche für normale Benutzer zugänglich machen
- <3-> Evaluation der benötigten Technologien
- <4-> Programmieren der Basis-Funktionen
- <5-> Die Grundlage für ein Open-Source Projekt schaffen

** Einführung
*** Einführung                                                      :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:
*Inspiration*
- <2-> Fehlende Backups im Umfeld
- <3-> Fehlendes Know-How im Umfeld
- <4-> Software "Back in Time"

*** Einführung                                                      :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:

file:pictures/inspiration.png

** Einführung
*** Wieso BorgBackup?                                               :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:

*Wieso BorgBackup?*
- <2-> Open-Source Software
- <3-> Ist cross-plattform fähig
- <4-> Blockbasierte Deduplikation

*** Wieso BorgBackup                                                :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:
[[file:pictures/borg.jpeg]]

** Einführung
*Blockbasierte Deduplikation*

file:pictures/deduplication.png


* Projekt Management
** Projekt Mangement
*** Projekt Mangement                                               :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:
*Wasserfallmodell*
- <2-> Funktioniert gut für Einzelpersonen
- <3-> Phasenbasiertes Modell

*** Projekt Mangement                                               :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:

#+begin_export latex
\begin{center}
\includegraphics[width=.8\linewidth]{pictures/waterfall_stairs.jpg}
\end{center}
#+end_export

** Projekt Management
*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.50
:END:

*Ist-Risiko*
1. <2-> Falsche Nutzung einer Kommandozeilen Applikation
2. <3-> Backups ohne Verschlüsselung
3. <4-> Falscher Speicherort
4. <5-> Versehentliche Löschung
5. <6-> User vergisst Backups zu machen

*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.45
:END:

#+begin_export latex
\begin{center}
\includegraphics<2>[width=\linewidth]{pictures/istrisiko1.pdf}%
\includegraphics<3>[width=\linewidth]{pictures/istrisiko2.pdf}%
\includegraphics<4>[width=\linewidth]{pictures/istrisiko3.pdf}%
\includegraphics<5>[width=\linewidth]{pictures/istrisiko4.pdf}%
\includegraphics<6>[width=\linewidth]{pictures/istrisiko.pdf}%
\end{center}
#+end_export

** Projekt Mangement
*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.45
:END:

*Ist-Risiko*
#+begin_export latex
\begin{center}
\includegraphics[width=\linewidth]{pictures/istrisiko.pdf}%
\end{center}
#+end_export

*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.45
:END:

\onslide<2->\alert{Soll-Risiko}
#+begin_export latex
\begin{center}
\includegraphics<2->[width=\linewidth]{pictures/sollrisiko.pdf}%
\end{center}
#+end_export

** Projekt Mangement
*Controlling*

| \textbf{Phase}  | \textbf{Gesch. Aufwand} | \textbf{Effekt. Aufwand} |
| <30>                   | <10>                    | <10>                     |
|------------------------+-------------------------+--------------------------|
| Initialisierung        | 22h                     | 20.3h                    |
|------------------------+-------------------------+--------------------------|
| Analyse                | 47h                     | 41.6h                    |
|------------------------+-------------------------+--------------------------|
| Konzept                | 34h                     | 35.1h                    |
|------------------------+-------------------------+--------------------------|
| Realisierung           | 172h                    | 149.3h                   |
|------------------------+-------------------------+--------------------------|
| Abschluss und Meetings | 43h                     | 42.07h                   |
|------------------------+-------------------------+--------------------------|
| *Total*                | 318h                    | 288.37h                  |

* Lösungsvarianten
** Lösungsvarianten
*Kriterien*
- <2-> Cross-plattform kompatibel
- <3-> Freie Software
- <4-> Vorkenntnisse
- <5-> Integriert sich gut ins System
- <6-> Ohne spezielle Tools nutzbar

** Lösungsvarianten
*** Backend                                                         :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.3
:END:

*Backend*
- <2-> C#
- <3-> Python
- <4-> C++

*** Backend                                                         :BMCOL:
:properties:
:beamer_col: 0.5
:end:

#+begin_export latex
\begin{center}
\includegraphics<2>[width=\linewidth]{pictures/backend1.png}%
\includegraphics<3>[width=\linewidth]{pictures/backend2.png}%
\includegraphics<4>[width=\linewidth]{pictures/backend3.png}%
\end{center}
#+end_export

** Lösungsvarianten
*** Frontend                                                        :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.3
:END:

*Frontend*
- <2-> Qt
- <3-> Gtk
- <4-> Electron

*** Frontend                                                        :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:

#+begin_export latex
\begin{center}
\includegraphics<2>[width=.9\linewidth]{pictures/frontend1.png}%
\includegraphics<3>[width=.9\linewidth]{pictures/frontend2.png}%
\includegraphics<4>[width=.9\linewidth]{pictures/frontend3.png}%
\end{center}
#+end_export

** Lösungsvarianten
*Resultat*

#+attr_latex: :height .5\textheight
file:pictures/pyqt.png

* Umsetzung
** Umsetzung
*** Umsetzung                                                       :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.3
:END:

*Werkzeuge*

- Gnome Planner
- Emacs
- Git
- Qt-Designer
- Inkscape
- Draw.io
- Virtualbox

*** Umsetzung                                                       :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.5
:END:

#+begin_export latex
\begin{center}
\includegraphics[width=.9\linewidth]{pictures/tools7.png}%
\end{center}
#+end_export

** Umsetzung
*Finales Produkt*

#+begin_export latex
\begin{center}
\includegraphics[height=.8\textheight]{pictures/borgqt1.png}%
\end{center}
#+end_export

** Umsetzung
*Finales Produkt*

#+begin_export latex
\begin{center}
\frame{\includegraphics[width=\textwidth]{pictures/borgqt5.png}}%
\end{center}
#+end_export

** Umsetzung
*Finales Produkt*

#+begin_export latex
\begin{center}
\includegraphics[height=.8\textheight]{pictures/borgqt2.png}%
\end{center}
#+end_export

** Umsetzung

| \textbf{Speicherverbrauch} |           |
|----------------------------+-----------|
| Reale Grösse               | 13.41 TB  |
| Deduplizierte Grösse       | 556.67 GB |

\begin{center}
24x weniger Speicherverbrauch
\end{center}

** Umsetzung
*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.45
:END:

\alert{Soll-Risiko}
#+begin_export latex
\begin{center}
\includegraphics[width=\linewidth]{pictures/sollrisiko_grey.pdf}%
\end{center}
#+end_export

*** Risikoanalyse                                                   :BMCOL:
:PROPERTIES:
:BEAMER_col: 0.45
:END:

\onslide<2->\alert{Neues Ist-Risiko}
#+begin_export latex
\begin{center}
\includegraphics<2->[width=\linewidth]{pictures/ist_risiko_neu.pdf}%
\end{center}
#+end_export

* Abschluss
** Abschluss
*Fazit*
- <2-> Die Arbeit war sehr interessant und zeitintensiv
- <3-> Ganttcharts können sehr hilfreich sein um den Fokus zu halten
- <4-> Automatisierte Tests sind ein Must-have für Entwickler, sind jedoch zeitintensiv

* Abschluss                                                     :B_fullframe:
:PROPERTIES:
:BEAMER_env: fullframe
:END:
*\huge{Fragen?}*
* Abschluss                                                     :B_fullframe:
:PROPERTIES:
:BEAMER_env: fullframe
:END:
*\huge{Vielen Dank für die Aufmerksamkeit!}*
